Summary:	Utilities and test programs for the Linux sg version 3 device driver
Summary(pl.UTF-8):	Programy narzędziowe i testowe dla linuksowego sterownika sg w wersji 3
Name:		sg3_utils
Version:	1.45
Release:	1
License:	GPL v2 (utilities), BSD (library)
Group:		Applications/System
Source0:	http://sg.danny.cz/sg/p/%{name}-%{version}.tar.xz
# Source0-md5:	3a1ba25fe7b43577de4a5c1edb018526
Patch0:		%{name}-rescan-scsi-bus.sh.patch
URL:		http://sg.danny.cz/sg/sg3_utils.html
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# see scripts/rescan-scsi-bus.sh /Id:
Provides:	rescan-scsi-bus = 1.57
Provides:	sg_utils
Obsoletes:	rescan-scsi-bus < 1.57
Obsoletes:	scsiutils
Obsoletes:	sg_utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
This package contains some utilities and test programs for the Linux
sg (version 3) device driver. This driver is found in the Linux 2.4+
kernels.

%description -l pl.UTF-8
Ten pakiet zawiera trochę programów narzędziowych i testowych dla
sterownika urządzeń sg w wersji 3. Ten sterownik jest obecny w jądrach
Linuksa 2.4+.

%package devel
Summary:	Header files for sgutils2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki sgutils2
License:	BSD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for sgutils2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki sgutils2.

%package static
Summary:	Static sgutils2 library
Summary(pl.UTF-8):	Statyczna biblioteka sgutils2
License:	BSD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of sgutils2 library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki sgutils2.

%prep
%setup -q

cp -p scripts/README README.scripts

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install scripts/rescan-scsi-bus.sh $RPM_BUILD_ROOT%{_bindir}

install -d $RPM_BUILD_ROOT/lib/udev/rules.d
install scripts/*.rules $RPM_BUILD_ROOT/lib/udev/rules.d

# no external dependencies
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsgutils2.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BSD_LICENSE COPYING COVERAGE CREDITS ChangeLog README README.scripts README.sg_start
%attr(755,root,root) %{_bindir}/rescan-scsi-bus.sh
%attr(755,root,root) %{_bindir}/scsi_*
%attr(755,root,root) %{_bindir}/sg_*
%attr(755,root,root) %{_bindir}/sginfo
%attr(755,root,root) %{_bindir}/sgm_dd
%attr(755,root,root) %{_bindir}/sgp_dd
%attr(755,root,root) %{_libdir}/libsgutils2-%{version}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsgutils2-%{version}.so.2
/lib/udev/rules.d/40-usb-blacklist.rules
/lib/udev/rules.d/54-before-scsi-sg3_id.rules
/lib/udev/rules.d/55-scsi-sg3_id.rules
/lib/udev/rules.d/58-scsi-sg3_symlink.rules
/lib/udev/rules.d/59-fc-wwpn-id.rules
/lib/udev/rules.d/59-scsi-cciss_id.rules
%{_mandir}/man8/rescan-scsi-bus.sh.8*
%{_mandir}/man8/scsi_*.8*
%{_mandir}/man8/sg3_utils.8*
%{_mandir}/man8/sg_*.8*
%{_mandir}/man8/sginfo.8*
%{_mandir}/man8/sgm_dd.8*
%{_mandir}/man8/sgp_dd.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsgutils2.so
%{_includedir}/scsi/sg_*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libsgutils2.a
%changelog
* Wed Mar 18 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sg3_utils.git;a=log;h=master

* Wed Mar 18 2020 Jakub Bogusz <qboosh@pld-linux.org> b342d8f
- updated to 1.45 (note: new soname)

* Thu Feb 08 2018 Adam Osuchowski <adwol@pld-linux.org> 7cbb11c
- fix missed variable init

* Tue Sep 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 91d90f0
- updated to 1.42

* Wed Nov 04 2015 Jakub Bogusz <qboosh@pld-linux.org> 90c3daa
- updated to 1.41

* Mon Jun 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 5d4b243
- updated to 1.40
- drop .la file

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> e66f7c1
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jul 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 8896b1d
- updated to 1.39

* Sun Apr 13 2014 Jakub Bogusz <qboosh@pld-linux.org> ce5c7dd
- updated to 1.38
- package rescan-scsi-bus script (Obsoletes old script from separate package)
- package udev rules to assign scsi-id for SCSI devices

* Thu Oct 31 2013 Jakub Bogusz <qboosh@pld-linux.org> 45d3163
- updated to 1.37

* Sun Jun 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 0711b6d
- GPL version (more precisely - some utilities are GPL v2, some GPL v2+)

* Sun Jun 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 4c26061
- updated to 1.36

* Sat Jan 19 2013 Jakub Bogusz <qboosh@pld-linux.org> cb8d06a
- updated to 1.35

* Tue Oct 16 2012 Jakub Bogusz <qboosh@pld-linux.org> e487ae8
- updated to 1.34

* Tue Jan 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 63666e9
- updated to 1.33

* Sat Sep 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 61352f4
- updated to 1.32

* Mon May 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 3f7e9f7
- updated to 1.31

* Sat Nov 13 2010 Caleb Maclennan <caleb@alerque.com> 3bad1ec
- Up to 1.30

* Fri Aug 20 2010 Jakub Bogusz <qboosh@pld-linux.org> 0e0eee2
- updated to 1.29
- install scsi_* scripts (manuals are already installed)

* Sun Nov 29 2009 sparky <sparky@pld-linux.org> e160c3c
- BR: autoconf (req autoheader)
- %undefine __cxx - to prevent configure from looking for c++ compiler

* Sun Apr 12 2009 Adam Gołębiowski <adamg@pld-linux.org> 7b1dad4
- updated to stable 1.27

